2008-06-04  Andrew Cagney  <cagney@redhat.com>

	* Log.java (finest(Class)): New.

2008-05-24  Andrew Cagney  <cagney@redhat.com>

	* Log.java (log(Object,String,long,String,long,String,long)): New.
	(log(Object,String,Object,String,long,String,long,String,long)): New.
	
2008-05-15  Petr Machata  <pmachata@redhat.com>

	* Log.java (log(String, Object, String, long, String, Object, String, Object)): New.

2008-05-13  Andrew Cagney  <cagney@redhat.com>

	* jni/Log.hxx: Move to frysk/jnixx.
	* jni/Log.cxx: Move to frysk/jnixx.

2008-05-09  Andrew Cagney  <cagney@redhat.com>

	* jni/Log.cxx: Use String's JNI methods.

2008-05-08  Andrew Cagney  <cagney@redhat.com>

	* jni/Log.cxx: Update to match jnixx::env.

2008-05-07  Andrew Cagney  <cagney@redhat.com>

	* jni/Log.cxx: Include jni.hxx; fully qualify jnixx::env.
	* jni/Log.hxx: Ditto.

2008-05-06  Andrew Cagney  <cagney@redhat.com>

	* jni/Log.cxx: Replace jnixx::object with java::lang::Object.
	* jni/Log.hxx: Ditto.

2008-05-05  Andrew Cagney  <cagney@redhat.com>

	* jni/Log.hxx: Use jnixx::object.
	* jni/Log.cxx: Ditto.
	
	* jni/Log.hxx: Replace JNIEnv* with jnixx::&.
	* jni/Log.cxx: Ditto.

2008-05-02  Andrew Cagney  <cagney@redhat.com>

	* jni/Log.cxx: Update; frysk.jni renamed to frysk.jnixx.

2008-05-01  Andrew Cagney  <cagney@redhat.com>

	* jni/Log.cxx: Re-implement using jnixx generated stubs.
	* jni/Log.hxx: Ditto.

2008-04-16  Andrew Cagney  <cagney@redhat.com>

	* jni/Log.cxx: Use members.hxx, and print.hxx.

2008-04-15  Andrew Cagney  <cagney@redhat.com>

	* jni/Log.cxx: New.
	* jni/Log.hxx: New.

2008-04-04  Andrew Cagney  <cagney@redhat.com>

	* Log.java: Move printing code to ...
	* Printer.java: here.  New.
	* TestCallers.java: Update.

2008-04-02  Petr Machata  <pmachata@redhat.com>

	* Log.java (log(String,long,String,long,String,Object)): New.

2008-03-31  Petr Machata  <pmachata@redhat.com>

	* Log.java (log(String,Object,String,long,String,long)): New.

2008-03-28  Petr Machata  <pmachata@redhat.com>

	* Log.java (log(String,Object,String,Object,String,long)): New.

2008-03-21  Petr Machata  <pmachata@redhat.com>

	* Log.java (log(String,int,String)): New.

2008-03-21  Petr Machata  <pmachata@redhat.com>

	* Log.java (log(String,Object,String,long,String,Object)): New.

2008-03-17  Andrew Cagney  <cagney@redhat.com>

	* Log.java (log(String,Object,String,Object,String,int)): New.

2008-03-14  Andrew Cagney  <cagney@redhat.com>

	* Log.java (log(String,String,String,String)): New.
	* Log.java (log(String,Object,String,int)): New.

	* TestLog.java (testDefault()): New.

2008-03-13  Andrew Cagney  <cagney@redhat.com>

	* Log.java (prefixTimeAndPid()): For WARNING/INFO, include level.
	* LogFactory.java (info(Class)): New.
	(info(String)): New.
	* Level.mkenum (INFO): New; make default.

2008-03-11  Andrew Cagney  <cagney@redhat.com>

	* TestOptions.java: Use Level.DEFAULT.
	* TestLog.java: Ditto.

	* Log.java (finest(Class)): Delete.
	* LogFactory.java (warning(String)): New.
	(warning(Class)): New.
	* Level.mkenum (WARNING, DEFAULT): Add.
	* Node.java: Default to Level.DEFAULT.

2008-03-03  Andrew Cagney  <cagney@redhat.com>

	* Log.java (dump(Object)): Add missing else.

2008-02-29  Andrew Cagney  <cagney@redhat.com>

	* LogOption.java (parse(String)): Rename level(String).
	(parse(Node,String)): Rename level(Node,String).
	(LogOption(String,char)): New.
	* TestOptions.java: Update.

	* Logger.java: Delete.
	* Log.java (format(String,Object[])): Delete.
	(format(String,Object)): Delete.

2008-02-28  Andrew Cagney  <cagney@redhat.com>

	* Log.java: Add more loggers.
	
	* Log.java: Add more loggers.

	* Log.java: Add more loggers.

2008-02-26  Andrew Cagney  <cagney@redhat.com>

	* Log.java (dump(Throwable)): Use toString(), not getMessage();
	print the causes not the excetion.
	
	* Log.java: Add more log methods.
	
	* package.html (Implementing a Custom Log): New.
	* Log.java (prefix, print): Return Log.  Make public.

2008-02-20  Andrew Cagney  <cagney@redhat.com>

	* Log.java: Include the TID.PID in the log message.

2008-02-15  Andrew Cagney  <cagney@redhat.com>

	* Log.java: Add more log methods and boolean support.

2008-02-14  Andrew Cagney  <cagney@redhat.com>

	* Log.java: Add more log methods.

2008-02-12  Andrew Cagney  <cagney@redhat.com>

	* Node.java (set(Level)): Return the node.
	* Callers.java: Extract from Log.java.
	* TestCallers.java: New.
	* Log.java (CALLER): New.
	(CALLERS): New.
	(dump(Object)): Check for null.
	(set(PrintWriter)): New.
	(set(PrintStream)): Return old writer.
	
	* Log.java: Add more loggers.

2008-02-12  Mark Wielaard  <mwielaard@redhat.com>

	* Log.java (caller): New public method.
	(empty): New private empty String[].
	(callersArray): New private method.
	(callers): New public method.
	(callers(int)): New public method.

2008-02-12  Andrew Cagney  <cagney@redhat.com>

	* Log.java: Add more log methods.

2008-02-11  Andrew Cagney  <cagney@redhat.com>

	* Log.java (prefixTime()): Print time in DAY HH:MM:SS.mmm format;
	use inua.util.PrintWriter.
	(log(String,String)): Simplify.
	(log(Object,String,String)): Delete.
	(log(String,char[])): Delete.
	(log(Object,String,int[])): Delete.
	(log(Object,String,long[])): Delete.
	(dump(Object)): Check for instance of char[], int[] and long[].
	(dump(char[])): Replace print(char[]).
	(dump(int[])): Replace print(int[]).
	(dump(long[])): Replace print(long[]).
	(dump(char)): New.
	(dump(int)): New.
	(dump(long)): New.
	* package.html: Update.

	* Log.java (log(String,Object,String,Object,String,Object,String,Object)): New.
	(log(String,int)): New.
	(log(String,long)): New.

	* cni/Log.hxx (log(Log,Object,const char*,Object))
	(log(Log,const char *,Object)): New.
	(log(Log,const char *)): New.
	(log(Log,Object,const char *)): New.
	* cni/Log.cxx: Update.
	
	* Log.java (prefixTime()): Replace prePrefix().
	(prefix(), prefix(Object)): Use.
	* cni/Log.hxx: New file.
	* cni/Log.cxx: New file.
	
2008-02-10  Andrew Cagney  <cagney@redhat.com>

	* Node.java: Delete stray printlns.
	* LogFactory.java: Ditto.
	
	* LogFactory.java (get(Node,String)): New; use.
	(get(Node,Class)): New; use
	(complete(Node,String,List)): New; use.
	* Log.java: Don't include the level in the message.
	* Node.java (level): Delete.
	(extensionSetting, childSetting): New.
	(setChildren(Settings)): New.
	(setExtensions(Setting)): New.
	(setLoggers(Level)): New.
	(get(String,int)): Delete.
	(get(Class)): Delete.
	(setClass(Node,Class)): New.
	(get(String)): Re-write.
	(complete(String,int,List)): Delete.
	(complete(String,List)): Re-write.
	* Setting.java: New.
	* TestSetting.java: New.
	* LogOption.java: Use LogFactory's get(Node,String).
	* TestLib.java: Use LogFactory's get(Node,String) method.
	* TetLog.java (testSubClassFINE()): Delete.
	(testSetSuperThenPackageGetsPackage()): New.
	(testSetPackageThenSuperGetsPackage()): New.
	* package.html: Update.
	
	* TestLog.java: Break into ...
	* TestCompletion.java: ... this. New.
	* TestLib.java: ... this.  New.
	* TestOptions.java: ... and this.  New.
	* Node.java (root): Move to ...
	* LogFactory.java (root): ... here.
	* LogOption.java: Update.
	* Log.java (log(String,Object,String,Object)): New.

2008-02-08  Andrew Cagney  <cagney@redhat.com>

	* Log.java (log(String,long,String,int)): New.

	* Log.java (log(String,Object,String)): New.
	(log(String,Object)): New.

	* LogOption.java: Permit "frysk", assume fine.
	* Log.java: In log, append Level with a colon.
	
	* TestLog.java (testLevelComparison()): New.
	* Log.java (set(Level)): Fix compareTo(Object) call.
	* Node.java (get(Class)): Fix compareTo(Object) call.
	
	* Node.java (get(String,Level)): Delete.
	(get(Class)): New.
	(extensions): New.
	* LogFactory.java (get(Class,Level)): Delete.
	(get(String,Level)): Delete.
	* TestLog.java: Update.
	* Logger.java: Update.
	
	* Log.java: Split into.
	* LogFactory.java: Split from Log.java.
	* Node.java: Rename Tree.java.
	* Logger.java: Update.
	* LogOption.java: Update.
	* TestLog.java: Update.

2008-01-15  Andrew Cagney  <cagney@redhat.com>

	* Log.java (print(char)): New.
	(log(Object,String,int,String,char)): New.
	(log(String,char)): New.
	(log(String,char[])): New.
	
2008-01-07  Nurdin Premji <npremji@redhat.com>

	* Log.java(log(String,String): Added.
	(log(Object, String)): Call prefix with Object self.
		
	* Log.java (finest(String)): Added.
	(finest(Class)): Added.

2007-12-18  cagney  <cagney@redhat.com>

	* Log.java (suffix()): Rename prefix. 
	(print(Object)): Inspect the object's type.
	(print(Throwable[])): Delete.
	(print(Throwable)): Delete.
	(dump(Throwable)): New.
	(dump(Object)): New.
	(dump(Object,int)): New.
	(print(Object[])): Delete.
	(print(String[])): Delete.
	(log(Object,String,Throwable)): Delete.
	(log(Object,String,Throwable[])): Delete.
	(log(Object,String,Object[])): Delete.
	(log(Object,String,long,String,Object[])): Delete.
	(log(Object,String,Object,String,int)): New.
	(log(Object,String,Object,String,Object,String,Object[])): Delete.
	(log(Object,String,Object,String,Object,String,Object)): New.
	(log(Object,String,String[])): Delete.

2007-12-17  cagney  <cagney@redhat.com>

	* Log.java (log(...)): Rename message(...).
	(log(Object,String)): New.
	(log(Object,String,Object,String,Object)): New.
	(log(Object,String,long,String,Object[])): New.
	(log(Object,String,Object,String,Object,String,String[])): New. 
	* TestLog.java: Update.

2007-12-10  Andrew Cagney  <cagney@redhat.com>

	* Tree.java (Tree(String,String,Level)): Added Level parameter.
	(get(String,int)): Propogate this.level to new children.
	* Log.java (postfix()): Call flush.
	* LogOption.java (level(String)): Rename parse(String).
	(level(Tree,String)): Rename parsed(Tree,String).
	(file(String,String)): New.
	* TestLog.java: Update.
	(testRootLevelFINE()): New.
	(testSubLevelFINE()): New.
	
	* Tree.java: Rename Branch.java.
	* LogOption.java: Update.
	* TestLog.java: Update.
	* Log.java: Update.

	* Logger.java: New.
	* Log.java (message(...)): Rename log(...).
	(print(Throwable)): New.
	(print(Throwable[])): New.
	(message(Object,Throwable)): New.
	(message(Object,Throwable[])): New.
	(format(String,Object[])): New.
	(format(String,Object)): New.
	* LogOption.java (parse(String)): New.

2007-12-09  Andrew Cagney  <cagney@redhat.com>

	* TestLog.java: Update.
	(checkLevel(String,Level)): Fix comparison.
	(testOptionFINE()): New.
	(testOptionSubFINE()): New.	
	(testOptionCommaOption()): New.
	(testSingleton()): Replace testPeers.
	* LogOption.java (parsed(Branch,String)): New.
	(parsed(String)): Use.
	* Branch.java (get(String,int)): Make private.
	(get(String)): New.
	(get(Level)): Make private; use Log.set.
	(get(String,Level)): New.
	(complete(String,int,List)): Make private.
	(complete(String,List)): New.
	* Log.java (get(String)): Update.
	(complete(String,List)): Update.
	(get(String,Level)): New.
	(finest(...)): Delete.
	(set(Level)): Replace set(boolean).
	(Log(String,String,Level)): boolean param removed.

2007-12-07  Andrew Cagney  <cagney@redhat.com>

	* LogOption.java: New file.
	* Branch.java: New.
	* Level.mkenum: Add MAX.
	* Log.java (print(int)): New.
	(print(long)): New.
	(print(String)): New.
	(print(Object)): New.
	(print(int[])): New.
	(print(long[])): New.
	(print(String[])): New.
	(print(Object[])): New.
	(fine(...), finest(...)): New.
	(Log()): Moved to Branch.
	(children): Moved to Branch.
	(fine(...), finest(...)): Delete.
	(get(String,int)): Move to Branch.
	(complete(String,int,List)): Move to Branch.
	* package.html: Update.
	* TestLog.java: Update.
	
	* TestLog.java (testCompletion()): New.
	(checkComplete(String,int,String[])): New.
	(testName()): New.
	(testPath()): New.
	(testCompleteChildPresent()): New.
	(testCompleteChildMissing()): New.
	(testCompleteSingle()): New.
	(testCompleteSingle()): New.
	(testCompleteMultiple()): New.
	(testCompleteMidway()): New.
	(testCompleteNothing()): New.
	(testCompleteBogus()): New.
	* Log.java (Log(String,String,Log)): Add Second string name
	parameter.
	(name()): New.
	(path()): New.
	(complete(String,List)): New.
	(complete(String,int,List)): New.
	(children): Change type to TreeMap.

2007-12-06  Andrew Cagney  <cagney@redhat.com>

	New directory.
	* Log.java: New file.
	* TestLog.java: New file.
	* Level.mkenum: New file.
	
Local Variables:
mode: change-log
left-margin: 8
fill-column: 74
version-control: never
End:
